/* -*- C++ -*-
 *
 * This file is a part of LEMON, a generic C++ optimization library
 *
 * Copyright (C) 2003-2006
 * Egervary Jeno Kombinatorikus Optimalizalasi Kutatocsoport
 * (Egervary Research Group on Combinatorial Optimization, EGRES).
 *
 * Permission to use, modify and distribute this software is granted
 * provided that this copyright notice appears in all copies. For
 * precise terms see the accompanying LICENSE file.
 *
 * This software is provided "AS IS" with no warranty of any kind,
 * express or implied, and with no claim as to its suitability for any
 * purpose.
 *
 */

#include "map_window.h"

MapWindow::MapWindow()
{
  refMapStore = Gtk::ListStore::create(mapColumns);
  //refMapStore->signal_row_changed().connect(sigc::mem_fun(*this, &Phy sicalProperties::onChannelChanged));
  twMap.set_model(refMapStore);
  twMap.append_column_editable("Name", mapColumns.colName);
  //twMap.append_column_editable("Value type", mapColumns.colValue);
  //twMap.append_column_editable("Map type", mapColumns.colType);

  swMap.set_size_request(-1, 300);
  swMap.add(twMap);
  swMap.set_policy(Gtk::POLICY_AUTOMATIC, Gtk::POLICY_AUTOMATIC);

  swMap.add(twMap);
  add(swMap);

  show_all_children();
}

MapWindow::~MapWindow()
{
}
